## org.apache.sling.testing.samples.failingtests
Class JUnit3FailingTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.sling.testing.samples.failingtests.JUnit3FailingTest

All Implemented Interfaces:
  junit.framework.Test

    public class JUnit3FailingTest

extends junit.framework.TestCase

Example failing tests using the JUnit3 APIs

Constructor Summary
`JUnit3FailingTest()`

Method Summary
`void` `testAssertsEveryTime()`
`void` `testFailsEveryTime()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame, format`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JUnit3FailingTest

    public JUnit3FailingTest()

Method Detail

### testFailsEveryTime

    public void testFailsEveryTime()

### testAssertsEveryTime

    public void testAssertsEveryTime()

Copyright © 2007-2011 The Apache Software Foundation. All Rights Reserved.